JUCE: RelativePointPath::ElementBase Class Reference

JUCE

Public Member Functions | Public Attributes | List of all members
RelativePointPath::ElementBase Class Referenceabstract
juce_gui_basics » positioning

Base class for the elements that make up a RelativePointPath. More...

`#include <juce_RelativePointPath.h>`

Inheritance diagram for RelativePointPath::ElementBase:

## Public Member Functions
| ElementBase (ElementType type)
virtual | ~ElementBase ()=default
virtual void | addToPath (Path &path, Expression::Scope *) const =0
virtual RelativePoint * | getControlPoints (int &numPoints)=0
virtual ElementBase * | clone () const =0
bool | isDynamic ()

## Public Attributes
const ElementType | type

## Detailed Description

Base class for the elements that make up a RelativePointPath.

## Constructor & Destructor Documentation

## ◆ ElementBase()

RelativePointPath::ElementBase::ElementBase | ( | ElementType | type | ) |

## ◆ ~ElementBase()

virtual RelativePointPath::ElementBase::~ElementBase | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ addToPath()

virtual void RelativePointPath::ElementBase::addToPath | ( | Path & | path,
|  | Expression::Scope * |
| ) |  | const
| pure virtual

Implemented in RelativePointPath::StartSubPath, RelativePointPath::CloseSubPath, RelativePointPath::LineTo, RelativePointPath::QuadraticTo, and RelativePointPath::CubicTo.

## ◆ getControlPoints()

virtual RelativePoint * RelativePointPath::ElementBase::getControlPoints | ( | int & | numPoints | ) |
| pure virtual

Implemented in RelativePointPath::StartSubPath, RelativePointPath::CloseSubPath, RelativePointPath::LineTo, RelativePointPath::QuadraticTo, and RelativePointPath::CubicTo.

## ◆ clone()

virtual ElementBase * RelativePointPath::ElementBase::clone | ( |  | ) | const
| pure virtual

Implemented in RelativePointPath::StartSubPath, RelativePointPath::CloseSubPath, RelativePointPath::LineTo, RelativePointPath::QuadraticTo, and RelativePointPath::CubicTo.

## ◆ isDynamic()

bool RelativePointPath::ElementBase::isDynamic | ( |  | ) |

## Member Data Documentation

## ◆ type

const ElementType RelativePointPath::ElementBase::type

The documentation for this class was generated from the following file:

- juce_RelativePointPath.h